## link-grammar 4.7.4-3build1

=== link-grammar/minisat/Makefile ===
# Makefile.in generated by automake 1.14.1 from Makefile.am.
# link-grammar/minisat/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/link-grammar
pkgincludedir = $(includedir)/link-grammar
pkglibdir = $(libdir)/link-grammar
pkglibexecdir = $(libexecdir)/link-grammar
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = link-grammar/minisat
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(top_srcdir)/depcomp
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/ac-helpers/binreloc.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(libdir)"
LTLIBRARIES = $(lib_LTLIBRARIES)
libminisat_la_LIBADD =
am_libminisat_la_OBJECTS = Solver.lo
libminisat_la_OBJECTS = $(am_libminisat_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
libminisat_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(libminisat_la_LDFLAGS) $(LDFLAGS) \
	-o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
AM_V_CXX = $(am__v_CXX_$(V))
am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
am__v_CXX_0 = @echo "  CXX     " $@;
am__v_CXX_1 = 
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CXXLD = $(am__v_CXXLD_$(V))
am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
am__v_CXXLD_0 = @echo "  CXXLD   " $@;
am__v_CXXLD_1 = 
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(libminisat_la_SOURCES)
DIST_SOURCES = $(libminisat_la_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/wookey/debian/NMU/git/link-grammar/missing aclocal-1.14
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AS = as
ASPELL_CFLAGS = 
ASPELL_LIBS = 
AUTOCONF = ${SHELL} /home/wookey/debian/NMU/git/link-grammar/missing autoconf
AUTOHEADER = ${SHELL} /home/wookey/debian/NMU/git/link-grammar/missing autoheader
AUTOMAKE = ${SHELL} /home/wookey/debian/NMU/git/link-grammar/missing automake-1.14
AWK = gawk
BINRELOC_CFLAGS = 
BINRELOC_LIBS = 
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -std=c99 -D_BSD_SOURCE -D_SVID_SOURCE -D_GNU_SOURCE
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"link-grammar\" -DVERSION=\"4.7.4\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -DHAVE_TOWUPPER=1 -DDEBUG_MEMORY=0 -DHAVE_LOCALE_H=1 -DHAVE_LC_MESSAGES=1 -DHAVE_REGEXEC=1
DEPDIR = .deps
DLLTOOL = dlltool
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
HUNSPELL_CFLAGS = 
HUNSPELL_LIBS = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBEDIT_CFLAGS = 
LIBEDIT_LIBS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LINK_CFLAGS =   -Wall -Wextra -Wsign-compare -Werror-implicit-function-declaration -Wpointer-arith -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -Wpacked -Wswitch-enum -Wmissing-format-attribute -Wstrict-aliasing=2 -Winit-self -Wunsafe-loop-optimizations -Wdeclaration-after-statement -Wold-style-definition -Wno-missing-field-initializers -Wno-unused-parameter -Wno-attributes -Wno-long-long -Winline -fno-strict-aliasing
LINK_MAJOR_VERSION = 4
LINK_MICRO_VERSION = 4
LINK_MINOR_VERSION = 7
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = 
MAKEINFO = ${SHELL} /home/wookey/debian/NMU/git/link-grammar/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = link-grammar
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
RANLIB = ranlib
REGEX_LIBS = 
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
SQLITE3_CFLAGS = 
SQLITE3_LIBS = 
STRIP = strip
VERSION = 2.0.0
VERSION_INFO = 11:4:7
abs_builddir = /home/wookey/debian/NMU/git/link-grammar/link-grammar/minisat
abs_srcdir = /home/wookey/debian/NMU/git/link-grammar/link-grammar/minisat
abs_top_builddir = /home/wookey/debian/NMU/git/link-grammar
abs_top_srcdir = /home/wookey/debian/NMU/git/link-grammar
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/wookey/debian/NMU/git/link-grammar/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)

=== debian/changelog ===
link-grammar (4.7.4-3build1) yakkety; urgency=medium

  * Rebuild against libhunspell-1.4-0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 May 2016 10:40:43 +0200

## link-grammar 5.3.7

=== debian/changelog ===
link-grammar (5.3.7-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * QA upload
  * New upstream release (Closes: #774088) (LP: #1406051)
  * Update d/copyright. link-grammar is now LGPL-2.1.
  * Update packages from link-grammar4 to 5
  * Rename liblink-grammar4-dev to liblink-grammar-dev
    and liblink-grammar4-java to liblink-grammar-java
  * Modernize packaging
    - Switch from cdbs to dh7
    - Set debian/compat to 9
    - Set debian/source/format to quilt (3.0)
    - Bump Standards-Version to 3.9.8
    - Enable all hardening flags
    - Add debian/upstream/signing-key.asc
    - Add debian/upstream/metadata
    - Update debian/watch
  * Run dh-autoreconf.
    - Build-depend on dh-autoreconf, autoconf-archive & pkg-config
    - Add 0001-fix-configure.patch to facilitate this.
  * Add python-link-grammar package
  * Add link-grammar-dictionaries-all package and have it replace
    the Lithuanian dictionary package
  * Build for hunspell not aspell as recommended upstream
  * Use autopkgtest to run upstream tests

  [ Gianfranco Costamagna ]
  * update copyright for python-example bindings and some more
    missing licenses.
  * Add dh-autoreconf

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 26 Jun 2016 03:08:59 -0400

=== debian/control ===
Source: link-grammar
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 ant [!hppa !alpha],
 autoconf-archive,
 debhelper (>= 9),
 dh-autoreconf,
 default-jdk [!hppa !alpha],
 dh-python,
 libedit-dev,
 libhunspell-dev,
 pkg-config,
 python-dev,
 swig,
Standards-Version: 3.9.8
Homepage: http://www.abisource.com/projects/link-grammar/
X-Python-Version: >= 2.7
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/link-grammar.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/link-grammar.git

Package: link-grammar
Architecture: any
Multi-Arch: foreign
Depends:
 link-grammar-dictionaries-en,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Carnegie Mellon University's link grammar parser
 In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
 (1991), the authors defined a new formal grammatical system called a
 "link grammar". A sequence of words is in the language of a link
 grammar if there is a way to draw "links" between words in such a way
 that the local requirements of each word are satisfied, the links do
 not cross, and the words form a connected graph. The authors encoded
 English grammar into such a system, and wrote this program to parse
 English using this grammar.
 .
 link-grammar can be used for linguistic parsing for information
 retrieval or extraction from natural language documents. It can also be
 used as a grammar checker.
 .
 This package contains the user-executable binary.

Package: liblink-grammar5
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 link-grammar-dictionaries-en,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 link-grammar-dictionaries-all,
Description: Carnegie Mellon University's link grammar parser (libraries)
 In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
 (1991), the authors defined a new formal grammatical system called a
 "link grammar". A sequence of words is in the language of a link
 grammar if there is a way to draw "links" between words in such a way
 that the local requirements of each word are satisfied, the links do
 not cross, and the words form a connected graph. The authors encoded
 English grammar into such a system, and wrote this program to parse
 English using this grammar.
 .
 link-grammar can be used for linguistic parsing for information
 retrieval or extraction from natural language documents. It can also be
 used as a grammar checker.
 .
 This package contains the shared library.

Package: liblink-grammar-dev
Architecture: any
Section: libdevel
Depends:
 liblink-grammar5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 liblink-grammar4-dev,
Replaces:
 liblink-grammar4-dev,
Description: Carnegie Mellon University's link grammar parser (development headers)
 In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
 (1991), the authors defined a new formal grammatical system called a
 "link grammar". A sequence of words is in the language of a link
 grammar if there is a way to draw "links" between words in such a way
 that the local requirements of each word are satisfied, the links do
 not cross, and the words form a connected graph. The authors encoded
 English grammar into such a system, and wrote this program to parse
 English using this grammar.
 .
 link-grammar can be used for linguistic parsing for information
 retrieval or extraction from natural language documents. It can also be
 used as a grammar checker.
 .
 This package contains the header files and static libraries

Package: liblink-grammar-java
Architecture: alpha amd64 arm64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc sparc64 x32
Section: java
Depends:
 liblink-grammar5,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 liblink-grammar4-java,
Replaces:
 liblink-grammar4-java,
Description: Carnegie Mellon University's link grammar parser (JNI library)
 In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
 (1991), the authors defined a new formal grammatical system called a
 "link grammar". A sequence of words is in the language of a link
 grammar if there is a way to draw "links" between words in such a way
 that the local requirements of each word are satisfied, the links do
 not cross, and the words form a connected graph. The authors encoded
 English grammar into such a system, and wrote this program to parse
 English using this grammar.
 .
 link-grammar can be used for linguistic parsing for information
 retrieval or extraction from natural language documents. It can also be
 used as a grammar checker.
 .
 This package contains a Java JNI library for using link-grammar from your java
 applications.

Package: python-link-grammar
Architecture: any
Section: python
Depends:
 liblink-grammar5,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Carnegie Mellon University's link grammar parser (Python 2)
 In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
 (1991), the authors defined a new formal grammatical system called a
 "link grammar". A sequence of words is in the language of a link
 grammar if there is a way to draw "links" between words in such a way
 that the local requirements of each word are satisfied, the links do
 not cross, and the words form a connected graph. The authors encoded
 English grammar into such a system, and wrote this program to parse
 English using this grammar.
 .
 link-grammar can be used for linguistic parsing for information
 retrieval or extraction from natural language documents. It can also be
 used as a grammar checker.
 .
 This package contains a Python 2 library for using link-grammar.

Package: link-grammar-dictionaries-en
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Carnegie Mellon University's link grammar parser (English dictionary)
 In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
 (1991), the authors defined a new formal grammatical system called a
 "link grammar". A sequence of words is in the language of a link
 grammar if there is a way to draw "links" between words in such a way
 that the local requirements of each word are satisfied, the links do
 not cross, and the words form a connected graph. The authors encoded
 English grammar into such a system, and wrote this program to parse
 English using this grammar.
 .
 link-grammar can be used for linguistic parsing for information
 retrieval or extraction from natural language documents. It can also be
 used as a grammar checker.
 .
 This package contains the English dictionaries.

Package: link-grammar-dictionaries-all
Architecture: all
Multi-Arch: foreign
Depends:
 link-grammar-dictionaries-en,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 link-grammar-dictionaries-lt (<< 5.3.7-1~),
Replaces:
 link-grammar-dictionaries-lt (<< 5.3.7-1~),
Description: Carnegie Mellon University's link grammar parser (all dictionaries)
 In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
 (1991), the authors defined a new formal grammatical system called a
 "link grammar". A sequence of words is in the language of a link
 grammar if there is a way to draw "links" between words in such a way
 that the local requirements of each word are satisfied, the links do
 not cross, and the words form a connected graph. The authors encoded
 English grammar into such a system, and wrote this program to parse
 English using this grammar.
 .
 link-grammar can be used for linguistic parsing for information
 retrieval or extraction from natural language documents. It can also be
 used as a grammar checker.
 .
 This package contains all dictionaries bundled with link-grammar.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND= -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --parallel --with autoreconf,python2

override_dh_auto-clean:
	dh_auto_clean
	rm -r bin/org
	rm linkgrammar-*.jar

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-static \
		--enable-pthreads \
		--enable-python-bindings

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_install:
	rm -f debian/tmp/usr/lib/python*/dist-packages/*/*.la
	dh_install -pliblink-grammar-java \
		usr/lib/$(DEB_HOST_MULTIARCH)/liblink-grammar-java.so* \
		usr/lib/$(DEB_HOST_MULTIARCH)/jni
	dh_install

override_dh_auto_test:

=== debian/tests/control ===
Tests: unit-tests
Depends: @, locales-all

## link-grammar 5.3.8

=== debian/changelog ===
link-grammar (5.3.8-1) unstable; urgency=medium

  * QA upload
  * New upstream release
    - Includes "reproducible builds" patch from Chris Lamb (Closes: #829011)
  * Drop all patches since they've been applied in new release 
  * debian/tests/control: Add Restrictions: build-needed
  * Have autopkgtest run upstream python tests too
  * Add python-link-grammar.examples
  * Have python-link-grammar recommend link-grammar-dictionaries-all
    since it's needed for the examples

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 16 Aug 2016 16:27:14 -0400

link-grammar (5.3.7-2) unstable; urgency=medium

  * Build link-grammar-java for alpha but not m68k or sh4 (Closes: #828809)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Jun 2016 00:05:38 -0400

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
- ant [!hppa !alpha],
+ ant [!hppa !m68k !sh4],
  autoconf-archive,
  debhelper (>= 9),
+ default-jdk [!hppa !m68k !sh4],
  dh-autoreconf,
- default-jdk [!hppa !alpha],
  dh-python,
  libedit-dev,
  libhunspell-dev,
@@ -77,9 +77,9 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
- liblink-grammar4-dev,
+ liblink-grammar4-dev (<< 5.3.7),
 Replaces:
- liblink-grammar4-dev,
+ liblink-grammar4-dev (<< 5.3.7),
 Description: Carnegie Mellon University's link grammar parser (development headers)
  In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
  (1991), the authors defined a new formal grammatical system called a
@@ -97,16 +97,16 @@
  This package contains the header files and static libraries
 
 Package: liblink-grammar-java
-Architecture: alpha amd64 arm64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc sparc64 x32
+Architecture: alpha amd64 arm64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc sparc64 x32
 Section: java
 Depends:
  liblink-grammar5,
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
- liblink-grammar4-java,
+ liblink-grammar4-java (<< 5.3.7),
 Replaces:
- liblink-grammar4-java,
+ liblink-grammar4-java (<< 5.3.7),
 Description: Carnegie Mellon University's link grammar parser (JNI library)
  In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
  (1991), the authors defined a new formal grammatical system called a
@@ -132,6 +132,8 @@
  ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends},
+Recommends:
+ link-grammar-dictionaries-all,
 Description: Carnegie Mellon University's link grammar parser (Python 2)
  In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
  (1991), the authors defined a new formal grammatical system called a

=== debian/rules ===
--- 
+++ 
@@ -27,4 +27,12 @@
 		usr/lib/$(DEB_HOST_MULTIARCH)/jni
 	dh_install
 
+override_dh_compress:
+	dh_compress --exclude=.py
+
+override_dh_makeshlibs:
+# A private C++ library
+	dh_makeshlibs -Xlibminisat
+
 override_dh_auto_test:
+# We use autopkgtest instead

=== debian/tests/control ===
Tests: unit-tests
Depends: @, hunspell-en-us, locales-all
Restrictions: build-needed

## link-grammar 5.3.9

=== debian/changelog ===
link-grammar (5.3.9-1) unstable; urgency=medium

  * QA upload
  * New upstream release
  * Bump dh compat to 10

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 29 Aug 2016 10:14:31 -0400

link-grammar (5.3.8-2) unstable; urgency=medium

  * QA upload
  * debian/rules:
    - Fix override_dh_auto_clean typo, thanks lintian 2.5.46!
  * debian/tests/control:
    - Depend on build-essential for autopkgtest build test

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 17 Aug 2016 11:18:59 -0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Build-Depends:
  ant [!hppa !m68k !sh4],
  autoconf-archive,
- debhelper (>= 9),
+ debhelper (>= 9.20160403~),
  default-jdk [!hppa !m68k !sh4],
- dh-autoreconf,
  dh-python,
  libedit-dev,
  libhunspell-dev,
@@ -16,8 +15,7 @@
  swig,
 Standards-Version: 3.9.8
 Homepage: http://www.abisource.com/projects/link-grammar/
-X-Python-Version: >= 2.7
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/link-grammar.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/link-grammar.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/link-grammar.git
 
 Package: link-grammar
@@ -155,7 +153,6 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
- ${shlibs:Depends},
 Description: Carnegie Mellon University's link grammar parser (English dictionary)
  In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
  (1991), the authors defined a new formal grammatical system called a
@@ -178,7 +175,6 @@
 Depends:
  link-grammar-dictionaries-en,
  ${misc:Depends},
- ${shlibs:Depends},
 Breaks:
  link-grammar-dictionaries-lt (<< 5.3.7-1~),
 Replaces:

=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,12 @@
 export DEB_LDFLAGS_MAINT_APPEND= -Wl,-O1 -Wl,--as-needed
 
 %:
-	dh $@ --parallel --with autoreconf,python2
+	dh $@ --with python2
 
-override_dh_auto-clean:
+override_dh_auto_clean:
 	dh_auto_clean
-	rm -r bin/org
-	rm linkgrammar-*.jar
+	-rm -r bin/org
+	-rm linkgrammar-*.jar
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## link-grammar 5.3.10

=== debian/changelog ===
link-grammar (5.3.10-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 14 Sep 2016 20:28:10 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  ant [!hppa !m68k !sh4],
  autoconf-archive,
- debhelper (>= 9.20160403~),
+ debhelper (>= 10),
  default-jdk [!hppa !m68k !sh4],
  dh-python,
  libedit-dev,

## link-grammar 5.3.11

=== debian/changelog ===
link-grammar (5.3.11-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - (Build-)Depend on minisat instead of using bundled copy
    - Build-Depend on zlib1g-dev
  * debian/rules:
    - Use dh_install --fail-missing

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 28 Sep 2016 09:09:26 -0400

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,11 @@
  dh-python,
  libedit-dev,
  libhunspell-dev,
+ minisat,
  pkg-config,
  python-dev,
  swig,
+ zlib1g-dev,
 Standards-Version: 3.9.8
 Homepage: http://www.abisource.com/projects/link-grammar/
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/link-grammar.git
@@ -42,11 +44,12 @@
  This package contains the user-executable binary.
 
 Package: liblink-grammar5
-Architecture: any
 Section: libs
+Architecture: any
 Multi-Arch: same
 Depends:
  link-grammar-dictionaries-en,
+ minisat,
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
@@ -68,8 +71,9 @@
  This package contains the shared library.
 
 Package: liblink-grammar-dev
-Architecture: any
 Section: libdevel
+Architecture: any
+Multi-Arch: same
 Depends:
  liblink-grammar5 (= ${binary:Version}),
  ${misc:Depends},
@@ -95,8 +99,9 @@
  This package contains the header files and static libraries
 
 Package: liblink-grammar-java
+Section: java
 Architecture: alpha amd64 arm64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc sparc64 x32
-Section: java
+Multi-Arch: same
 Depends:
  liblink-grammar5,
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -21,11 +21,11 @@
 	dh_autoreconf --as-needed
 
 override_dh_install:
-	rm -f debian/tmp/usr/lib/python*/dist-packages/*/*.la
-	dh_install -pliblink-grammar-java \
-		usr/lib/$(DEB_HOST_MULTIARCH)/liblink-grammar-java.so* \
-		usr/lib/$(DEB_HOST_MULTIARCH)/jni
-	dh_install
+	find . -name "*.la" -delete
+	mkdir -p debian/liblink-grammar-java/usr/lib/$(DEB_HOST_MULTIARCH)/jni
+	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/liblink-grammar-java.so* \
+		debian/liblink-grammar-java/usr/lib/$(DEB_HOST_MULTIARCH)/jni
+	dh_install --fail-missing
 
 override_dh_compress:
 	dh_compress --exclude=.py

=== debian/tests/control ===
Tests: unit-tests
Depends: @, build-essential, hunspell-en-us, locales-all
Restrictions: build-needed

## link-grammar 5.3.13

=== debian/changelog ===
link-grammar (5.3.13-1) unstable; urgency=medium

  * QA upload
  * New upstream release
  * Add python3-link-grammar package
  * Move python examples to new python-link-grammar-examples package
  * Drop debian/patches/git_link-with-libstdcc.patch, applied in
    new version

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 18 Dec 2016 23:16:47 -0500

link-grammar (5.3.11-2) unstable; urgency=medium

  * QA upload
  * debian/rules:
    - Try to make the 'delete *.la' rule smarter to not break autopkgtest
    - Fix build failures on architectures that don't build
      liblink-grammar-java
  * Add debian/patches/git_link-with-libstdcc.patch:
    - Cherry-pick commit to try to fix build log check warning
      about not linking against libstdc++

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 04 Oct 2016 11:30:43 -0400

## link-grammar 5.3.14

=== debian/changelog ===
link-grammar (5.3.14-1) unstable; urgency=medium

  * QA upload
  * New upstream release
  * debian/liblink-grammar5.symbols: Add new symbols
  * debian/link-grammar-dictionaries-en.install:
    - Install new "ady" language

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 19 Jan 2017 21:07:37 -0500

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
- ant [!hppa !m68k !sh4],
+ ant [!hppa !hurd-i386 !m68k !sh4],
  autoconf-archive,
  debhelper (>= 10),
- default-jdk [!hppa !m68k !sh4],
+ default-jdk [!hppa !hurd-i386 !m68k !sh4],
  dh-python,
  libedit-dev,
  libhunspell-dev,
  minisat,
  pkg-config,
  python-dev,
+ python3-dev,
  swig,
  zlib1g-dev,
 Standards-Version: 3.9.8
@@ -137,6 +138,7 @@
  ${shlibs:Depends},
 Recommends:
  link-grammar-dictionaries-all,
+ python-link-grammar-examples,
 Description: Carnegie Mellon University's link grammar parser (Python 2)
  In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
  (1991), the authors defined a new formal grammatical system called a
@@ -152,6 +154,59 @@
  used as a grammar checker.
  .
  This package contains a Python 2 library for using link-grammar.
+
+Package: python3-link-grammar
+Architecture: any
+Section: python
+Depends:
+ liblink-grammar5,
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Recommends:
+ link-grammar-dictionaries-all,
+ python-link-grammar-examples,
+Description: Carnegie Mellon University's link grammar parser (Python 3)
+ In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
+ (1991), the authors defined a new formal grammatical system called a
+ "link grammar". A sequence of words is in the language of a link
+ grammar if there is a way to draw "links" between words in such a way
+ that the local requirements of each word are satisfied, the links do
+ not cross, and the words form a connected graph. The authors encoded
+ English grammar into such a system, and wrote this program to parse
+ English using this grammar.
+ .
+ link-grammar can be used for linguistic parsing for information
+ retrieval or extraction from natural language documents. It can also be
+ used as a grammar checker.
+ .
+ This package contains a Python 3 library for using link-grammar.
+
+Package: python-link-grammar-examples
+Architecture: all
+Multi-Arch: foreign
+Section: python
+Depends:
+ ${misc:Depends},
+Enhances:
+ python-link-grammar,
+ python3-link-grammar,
+Description: CMU's link grammar parser (Python examples)
+ In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
+ (1991), the authors defined a new formal grammatical system called a
+ "link grammar". A sequence of words is in the language of a link
+ grammar if there is a way to draw "links" between words in such a way
+ that the local requirements of each word are satisfied, the links do
+ not cross, and the words form a connected graph. The authors encoded
+ English grammar into such a system, and wrote this program to parse
+ English using this grammar.
+ .
+ link-grammar can be used for linguistic parsing for information
+ retrieval or extraction from natural language documents. It can also be
+ used as a grammar checker.
+ .
+ This package contains examples for using python-link-grammar or
+ python3-link-grammar.
 
 Package: link-grammar-dictionaries-en
 Architecture: all
@@ -181,9 +236,9 @@
  link-grammar-dictionaries-en,
  ${misc:Depends},
 Breaks:
- link-grammar-dictionaries-lt (<< 5.3.7-1~),
+ link-grammar-dictionaries-lt (<< 5.3.7),
 Replaces:
- link-grammar-dictionaries-lt (<< 5.3.7-1~),
+ link-grammar-dictionaries-lt (<< 5.3.7),
 Description: Carnegie Mellon University's link grammar parser (all dictionaries)
  In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
  (1991), the authors defined a new formal grammatical system called a

## link-grammar 5.3.16

=== debian/changelog ===
link-grammar (5.3.16-2) unstable; urgency=medium

  * QA upload.
  * Apply patch from Steve Langasek adding the missing test
    dependency on default-jdk. (Closes: #865902)

 -- Adrian Bunk <bunk@debian.org>  Mon, 26 Jun 2017 08:37:55 +0300

link-grammar (5.3.16-1) unstable; urgency=medium

  * New upstream release
  * debian/docs: README was renamed to README.md

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Jun 2017 12:42:30 -0400

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with python2,python3

override_dh_auto_clean:
	dh_auto_clean
	-rm -r bin/org
	-rm linkgrammar-*.jar

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-static \
		--enable-pthreads

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_install:
ifeq (,$(filter $(DEB_HOST_ARCH), hppa hurd-i386 m68k sh4))
	mkdir -p debian/liblink-grammar-java/usr/lib/$(DEB_HOST_MULTIARCH)/jni
	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/liblink-grammar-java.so* \
		debian/liblink-grammar-java/usr/lib/$(DEB_HOST_MULTIARCH)/jni
endif
	find debian/ -name "*.la" -delete
	dh_install --fail-missing

override_dh_compress:
	dh_compress --exclude=.py

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_auto_test:
# We use autopkgtest instead

=== debian/tests/control ===
Tests: unit-tests
Depends: @, build-essential, hunspell-en-us, locales-all,
 default-jdk [!hppa !hurd-i386 !m68k !sh4],
Restrictions: build-needed

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
http://www.abisource.com/downloads/@PACKAGE@/([0-9.]+)/ \
	@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## link-grammar 5.5.0

=== debian/changelog ===
link-grammar (5.5.0-1ubuntu1) cosmic; urgency=medium

  * d/python3-link-grammar.install: Expect the installation in
    usr/local/lib/python3.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 May 2018 19:17:57 -0400

link-grammar (5.5.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Update symbols file.
  * Remove trailing whitespace from debian/changelog in order to
    silence the file-contains-trailing-whitespace Lintian tag.
  * Upgrade to debhelper compat version 11.
  * Remove the empty file debian/patches/series.
  * Use HTTPS URI in debian/watch.
  * Upgrade to Standards-Version 4.1.4 (no changes).
  * Add debian/python3-link-grammar.lintian-overrides to override the
    python-package-depends-on-package-from-other-python-variant
    Lintian tag.
  * Update Vcs-Browser and Vcs-Git fields in debian/control.
  * Update Homepage field in debian/control and Source field in
    debian/copyright to use HTTPS.
  * Remove incorrect Multi-Arch fields in debian/control.
  * Update debian/copyright.
  * Update debian/link-grammar.install.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Mon, 30 Apr 2018 20:53:21 +0200

link-grammar (5.3.16-3) unstable; urgency=medium

  * QA upload.
  * Build-depend on python3-distutils.

 -- Matthias Klose <doko@debian.org>  Sun, 29 Apr 2018 22:37:59 +0200

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,10 @@
 		debian/liblink-grammar-java/usr/lib/$(DEB_HOST_MULTIARCH)/jni
 endif
 	find debian/ -name "*.la" -delete
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_compress:
 	dh_compress --exclude=.py

## link-grammar 5.5.1

=== debian/changelog ===
link-grammar (5.5.1-1ubuntu1) disco; urgency=medium

  * Disable failing test that needs test stuff installed on the system

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Nov 2018 11:51:08 +0100

link-grammar (5.5.1-1) unstable; urgency=medium

  * QA upload
  * New upstream release
  * debian/liblink-grammar5.symbols: Update

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 25 Nov 2018 18:34:49 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  ant [!hppa !hurd-i386 !m68k !sh4],
  autoconf-archive,
- debhelper (>= 10),
+ debhelper (>= 11),
  default-jdk [!hppa !hurd-i386 !m68k !sh4],
  dh-python,
  libedit-dev,
@@ -14,16 +14,16 @@
  pkg-config,
  python-dev,
  python3-dev,
+ python3-distutils,
  swig,
  zlib1g-dev,
-Standards-Version: 3.9.8
-Homepage: http://www.abisource.com/projects/link-grammar/
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/link-grammar.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/link-grammar.git
+Standards-Version: 4.1.4
+Homepage: https://www.abisource.com/projects/link-grammar/
+Vcs-Browser: https://salsa.debian.org/debian/link-grammar
+Vcs-Git: https://salsa.debian.org/debian/link-grammar.git/
 
 Package: link-grammar
 Architecture: any
-Multi-Arch: foreign
 Depends:
  link-grammar-dictionaries-en,
  ${misc:Depends},
@@ -102,7 +102,6 @@
 Package: liblink-grammar-java
 Section: java
 Architecture: alpha amd64 arm64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc sparc64 x32
-Multi-Arch: same
 Depends:
  liblink-grammar5,
  ${misc:Depends},

=== debian/tests/control ===
Tests: unit-tests
Depends: @, python3-distutils, build-essential, hunspell-en-us, locales-all,
 default-jdk [!hppa !hurd-i386 !m68k !sh4],
Restrictions: build-needed

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://www.abisource.com/downloads/@PACKAGE@/([0-9.]+)/ \
    @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## link-grammar 5.6.2

=== debian/changelog ===
link-grammar (5.6.2-1) unstable; urgency=medium

  [ Masayuki Hatta ]
  * QA upload.
  * New upstream release.
  * Bumped Standards-Version to 4.4.0.

  [ Jonas Smedegaard ]
  * Fix Vcs-Git URL.

 -- Masayuki Hatta <mhatta@debian.org>  Tue, 20 Aug 2019 22:09:58 -0700

link-grammar (5.5.1-6) unstable; urgency=medium

  * QA upload.
  * Update git-buildpackage config: Use debian branch debian/master.
  * Fix declare liblink-grammar4-dev dependencies.
    Build-depend on d-shlibs.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 22 Feb 2019 22:27:48 +0100

link-grammar (5.5.1-5) unstable; urgency=medium

  * QA upload.
  * Really disable Java for architectures without it, passing
    --disable-java-bindings to configure (which defaults to enabling Java).
  * Disable Java on kfreebsd-amd64, and kfreebsd-i386, as it is not building
    anymore.
  * Remove trailing whitespaces in changelog.
  * Remove unused ${shlibs:Depends} substvar from liblink-grammar-dev.

 -- Pino Toscano <pino@debian.org>  Mon, 24 Dec 2018 10:49:28 +0100

link-grammar (5.5.1-4) unstable; urgency=medium

  * QA upload
  * Add libsqlite3 dependency, to fix testsuite
    - Drop previous patch, the test now is good, thanks upstream for the hint
  * Add builddeps in debian/tests/control, to finally have all the required
    dependencies to run correctly testsuite (Closes: #915060)
    - Thanks Rene Engelhard for the hint

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 30 Nov 2018 06:33:19 +0100

link-grammar (5.5.1-3) unstable; urgency=medium

  * QA upload

  * configure with --with-hunspell-dictdir=/usr/share/hunspell since
    that's where the dictionaries are since ages.

 -- Rene Engelhard <rene@debian.org>  Thu, 29 Nov 2018 22:19:14 +0100

link-grammar (5.5.1-2) unstable; urgency=medium

  * QA upload
  * Disable failing test that needs test stuff installed on the system

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Nov 2018 11:51:08 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
- ant [!hppa !hurd-i386 !m68k !sh4],
+ ant [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4],
  autoconf-archive,
  debhelper (>= 11),
- default-jdk [!hppa !hurd-i386 !m68k !sh4],
+ default-jdk [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4],
+ d-shlibs,
  dh-python,
  libedit-dev,
  libhunspell-dev,
+ libsqlite3-dev,
  minisat,
  pkg-config,
  python-dev,
@@ -17,10 +19,10 @@
  python3-distutils,
  swig,
  zlib1g-dev,
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Homepage: https://www.abisource.com/projects/link-grammar/
 Vcs-Browser: https://salsa.debian.org/debian/link-grammar
-Vcs-Git: https://salsa.debian.org/debian/link-grammar.git/
+Vcs-Git: https://salsa.debian.org/debian/link-grammar.git
 
 Package: link-grammar
 Architecture: any
@@ -77,8 +79,8 @@
 Multi-Arch: same
 Depends:
  liblink-grammar5 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
+ ${devlibs:Depends},
+ ${misc:Depends},
 Breaks:
  liblink-grammar4-dev (<< 5.3.7),
 Replaces:
@@ -101,7 +103,7 @@
 
 Package: liblink-grammar-java
 Section: java
-Architecture: alpha amd64 arm64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc sparc64 x32
+Architecture: alpha amd64 arm64 armel armhf i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc sparc64 x32
 Depends:
  liblink-grammar5,
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

no_java_archs = hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k sh4
ifneq (,$(filter $(DEB_HOST_ARCH), $(no_java_archs)))
CONFIGURE_ARGS += --disable-java-bindings
endif

%:
	dh $@ --with python2,python3

override_dh_auto_clean:
	dh_auto_clean
	-rm -r bin/org
	-rm linkgrammar-*.jar

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-static \
		--enable-pthreads \
		--with-hunspell-dictdir=/usr/share/hunspell \
		$(CONFIGURE_ARGS)

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_install:
ifeq (,$(filter $(DEB_HOST_ARCH), $(no_java_archs)))
	mkdir -p debian/liblink-grammar-java/usr/lib/$(DEB_HOST_MULTIARCH)/jni
	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/liblink-grammar-java.so* \
		debian/liblink-grammar-java/usr/lib/$(DEB_HOST_MULTIARCH)/jni
endif
	find debian/ -name "*.la" -delete
	dh_install
	d-shlibmove --commit \
		--devunversioned \
		--exclude-la \
		--exclude-a \
		--multiarch \
		--override 's/libhunspell-[0-9.-]\+-dev/libhunspell-dev/' \
		--override 's/libminisat2-dev/minisat/' \
		--override 's/libsqlite3-0-dev/libsqlite3-dev/' \
		--movedev "debian/tmp/usr/include/*" usr/include/ \
		--movedev "debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/*" \
			usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.so

override_dh_missing:
	dh_missing --fail-missing

override_dh_compress:
	dh_compress --exclude=.py

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_auto_test:
# We use autopkgtest instead
